#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int brgrupa, brucenika, brtestprimera, bananice, a, b, f;

    cin >> brtestprimera;

    while(brtestprimera)
    {
        cin >> brucenika >> bananice >> brgrupa;
        a = brucenika/brgrupa;
        b = brucenika%brgrupa;

        f = brucenika * ((a * a+1)/2) + b*a+1;
        if(f <= bananice)
        {
            cout << "Tak" << endl;
        }
        else
        {
            cout << "Nie" << endl;
        }
        brtestprimera --;
    }
}